#!/bin/sh


CONTAINER_TEST=$(docker ps -a | grep osTicket | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	echo "osTicket container is there, remove it first."
	docker rm -f osTicket
fi

NAS_HOST=$AS_NAS_INET4_ADDR_0
if [ -z "$NAS_HOST" ]; then
    NAS_HOST=$AS_NAS_INET4_ADDR_1
fi

docker create -i -t --name=osTicket \
	-p 37080:80 -p 37090:9000 \
	-e MYSQL_HOST=$NAS_HOST \
	-e MYSQL_DATABASE=osticketdocker \
	-e MYSQL_USER=osticketdocker \
	-e MYSQL_PASSWORD=osticketdocker \
	-v /etc/localtime:/etc/localtime:ro \
	-v /volume1/Docker/osTicket/data/upload/include/i18n:/data/upload/include/i18n:rw \
	-v /volume1/Docker/osTicket/data/upload/include/plugins:/data/upload/include/plugins:rw \
	-v /volume1/Docker/osTicket/nginx_log:/var/log/nginx:rw \
	--restart unless-stopped \
	campbellsoftwaresolutions/osticket:latest
	
docker start osTicket

exit 0
